### Method

# Secret Service search_for_dbus_paths_sync

#### Declaration [src]

    gboolean
    secret_service_search_for_dbus_paths_sync (
      SecretService* self,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      gchar*** unlocked,
      gchar*** locked,
      GError** error
    )

#### Description [src]

Search for items matching the `attributes`, and return their D-Bus object paths.

All collections are searched. The `attributes` should be a table of string keys and string values.

This function may block indefinitely. Use the asynchronous version in user interface threads.

Matching items that are locked or unlocked, have their D-Bus paths placed in the `locked` or `unlocked` arrays respectively.

D-Bus object paths of the items will be returned in the `unlocked` or `locked` arrays. If you would to have `SecretItem` objects to be returned instead, then use the `secret_service_search_sync()` function.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  Search for items matching these attributes.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`unlocked`

  Type: An array of `gchar**`

  location to place an array of D-Bus object paths for matching items which were locked.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The instance takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`locked`

  Type: An array of `gchar**`

  location to place an array of D-Bus object paths for matching items which were locked.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The instance takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the search was successful or not.